class_extensions 0.10.2

  • Readme
  • Changelog
  • Example
  • Installing
  • 61

Provides the basis for generating class extensions with minimal boilerplate.

0.10.2 #

  • Fix extension ordering error

0.10.1 #

  • Refactor

0.10.0 #

  • Upgrade annotations dependency

0.9.0 #

  • Update dart version constraint
  • Upgrade analyzer

0.8.0 #

  • Fix duplicated generators

0.7.0 #

  • Fix ordering

0.6.0 #

  • Implement generator ordering

0.5.0 #

  • Export api

0.4.0 #

  • Redesign how extensions are generated
  • Fix generation for multiple classes in one file

0.3.1 #

  • Add example

0.3.0 #

  • Upgrade dependencies

0.2.0 #

  • Extract annotations to separate package

0.1.1 #

  • Remove debug prints

0.1.0 #

  • Fix dependencies

0.0.0 #

  • Initialize package

example/README.md

Description #

An example.

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  class_extensions: ^0.10.2

2. Install it

You can install packages from the command line:

with pub:


$ pub get

Alternatively, your editor might support pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:class_extensions/class_extensions.dart';
  
Popularity:
Describes how popular the package is relative to other packages. [more]
22
Health:
Code health derived from static analysis. [more]
100
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
100
Overall:
Weighted score of the above. [more]
61
Learn more about scoring.

We analyzed this package on Mar 26, 2020, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.7.1
  • pana: 0.13.6

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=2.6.0 <3.0.0
analyzer ^0.39.0 0.39.4
build >=0.12.6 <2.0.0 1.2.2
class_extensions_annotations ^0.2.0 0.2.0
dart_style ^1.0.0 1.3.3
pedantic ^1.0.0 1.9.0
source_gen ^0.9.0 0.9.5
Transitive dependencies
_fe_analyzer_shared 1.0.3
args 1.6.0
async 2.4.1
charcode 1.1.3
collection 1.14.12
convert 2.1.1
crypto 2.1.4
csslib 0.16.1
glob 1.2.0
html 0.14.0+3
js 0.6.1+1
logging 0.11.4
meta 1.1.8
node_interop 1.0.3
node_io 1.0.1+2
package_config 1.9.3
path 1.6.4
pub_semver 1.4.4
source_span 1.7.0
string_scanner 1.0.5
term_glyph 1.1.0
typed_data 1.1.6
watcher 0.9.7+14
yaml 2.2.0
Dev dependencies
build_runner ^1.0.0